<?xml version="1.0" encoding="iso-8859-1"?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
    "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en">
<!-- FileDetails/Synopsis/PTree/operations.hh.html -->
<!-- this view was generated by FileDetails -->
<head>
<meta content="text/html; charset=iso-8859-1" http-equiv="Content-Type"/>
<title >Synopsis - Synopsis/PTree/operations.hh Details</title>
<link href="../../../style.css" type="text/css" rel="stylesheet" />
</head>
<body class="FileDetails">
<div class="navigation">
<span class="normal"><a href="../../../Scopes/global.html" >Global Namespace</a></span>
<span class="normal"><a href="../../../InheritanceTree.html" >Inheritance Tree</a></span>
<span class="normal"><a href="../../../InheritanceGraph.html" >Inheritance Graph</a></span>
<span class="normal"><a href="../../../NameIndex.html" >Name Index</a></span>
</div>
<h1 >Synopsis/PTree/operations.hh</h1><div><a href="../../../Source/Synopsis/PTree/operations.hh.html" target="content">source code</a></div>
<h2 class="heading">Includes from this file:</h2><ul>
<li>include <a href="Node.hh.html" >Synopsis/PTree/Node.hh</a></li>
</ul>
<h2 class="heading">Declarations in this file:</h2>
<div><h3>Functions in Synopsis::PTree</h3>
<div class="item"><a href="../../../Scopes/Synopsis/PTree.html#cons_lNode_S_cNode_S_r" >cons&#40;Node*&#44;Node*&#41;</a>
<div class="doc"></div></div>
<div class="item"><a href="../../../Scopes/Synopsis/PTree.html#equal_lconst.Node_A_cconst.char_S_csize_t_r" >equal&#40;const&#160;Node&amp;&#44;const&#160;char*&#44;size_t&#41;</a>
<div class="doc"></div></div>
<div class="item"><a href="../../../Scopes/Synopsis/PTree.html#equal_lconst.Node_S_cconst.Node_S_r" >equal&#40;const&#160;Node*&#44;const&#160;Node*&#41;</a>
<div class="doc"></div></div>
<div class="item"><a href="../../../Scopes/Synopsis/PTree.html#last_lNode_S_r" >last&#40;Node*&#41;</a>
<div class="doc"><p>Return the last cons cell.</p>
</div></div>
<div class="item"><a href="../../../Scopes/Synopsis/PTree.html#last_lconst.Node_S_r" >last&#40;const&#160;Node*&#41;</a>
<div class="doc"><p>Return the last cons cell.</p>
</div></div>
<div class="item"><a href="../../../Scopes/Synopsis/PTree.html#list_l_r" >list&#40;&#41;</a>
<div class="doc"></div></div>
<div class="item"><a href="../../../Scopes/Synopsis/PTree.html#list_lNode_S_cNode_S_cNode_S_r" >list&#40;Node*&#44;Node*&#44;Node*&#41;</a>
<div class="doc"></div></div>
<div class="item"><a href="../../../Scopes/Synopsis/PTree.html#list_lNode_S_cNode_S_cNode_S_cNode_S_r" >list&#40;Node*&#44;Node*&#44;Node*&#44;Node*&#41;</a>
<div class="doc"></div></div>
<div class="item"><a href="../../../Scopes/Synopsis/PTree.html#list_lNode_S_cNode_S_cNode_S_cNode_S_cNode_S_r" >list&#40;Node*&#44;Node*&#44;Node*&#44;Node*&#44;Node*&#41;</a>
<div class="doc"></div></div>
<div class="item"><a href="../../../Scopes/Synopsis/PTree.html#list_lNode_S_cNode_S_cNode_S_cNode_S_cNode_S_cNode_S_r" >list&#40;Node*&#44;Node*&#44;Node*&#44;Node*&#44;Node*&#44;Node*&#41;</a>
<div class="doc"></div></div>
<div class="item"><a href="../../../Scopes/Synopsis/PTree.html#list_lNode_S_cNode_S_cNode_S_cNode_S_cNode_S_cNode_S_cNode_S_r" >list&#40;Node*&#44;Node*&#44;Node*&#44;Node*&#44;Node*&#44;Node*&#44;Node*&#41;</a>
<div class="doc"></div></div>
<div class="item"><a href="../../../Scopes/Synopsis/PTree.html#list_lNode_S_cNode_S_cNode_S_cNode_S_cNode_S_cNode_S_cNode_S_cNode_S_r" >list&#40;Node*&#44;Node*&#44;Node*&#44;Node*&#44;Node*&#44;Node*&#44;Node*&#44;Node*&#41;</a>
<div class="doc"></div></div>
<div class="item"><a href="../../../Scopes/Synopsis/PTree.html#nth_lNode_S_csize_t_r" >nth&#40;Node*&#44;size_t&#41;</a>
<div class="doc"></div></div>
<div class="item"><a href="../../../Scopes/Synopsis/PTree.html#nth_lconst.Node_S_csize_t_r" >nth&#40;const&#160;Node*&#44;size_t&#41;</a>
<div class="doc"></div></div>
<div class="item"><a href="../../../Scopes/Synopsis/PTree.html#operator_e_e_lconst.Node_A_cchar_r" >operator==&#40;const&#160;Node&amp;&#44;char&#41;</a>
<div class="doc"></div></div>
<div class="item"><a href="../../../Scopes/Synopsis/PTree.html#operator_e_e_lconst.Node_A_cconst.Node_A_r" >operator==&#40;const&#160;Node&amp;&#44;const&#160;Node&amp;&#41;</a>
<div class="doc"></div></div>
<div class="item"><a href="../../../Scopes/Synopsis/PTree.html#operator_e_e_lconst.Node_A_cconst.char_S_r" >operator==&#40;const&#160;Node&amp;&#44;const&#160;char*&#41;</a>
<div class="doc"></div></div>
<div class="item"><a href="../../../Scopes/Synopsis/PTree.html#shallow_subst_lNode_S_cNode_S_cNode_S_cNode_S_cNode_S_cNode_S_cNode_S_cNode_S_cNode_S_r" >shallow_subst&#40;Node*&#44;Node*&#44;Node*&#44;Node*&#44;Node*&#44;Node*&#44;Node*&#44;Node*&#44;Node*&#41;</a>
<div class="doc"></div></div>

</div>
<div><h3>Function templates in Synopsis::PTree</h3>
<div class="item"><a href="../../../Scopes/Synopsis/PTree.html#nconc_lN_S_cNode_S_r" >nconc&#40;N*&#44;Node*&#41;</a>
<div class="doc"></div></div>
</div>

</body>
</html>
